Summary: Timezone data
Name: tzdata
Version: 2006m
%define tzdata_version %{version}
%define tzcode_version %{version}
Release: 3.el2_1
License: GPL
Group: System Environment/Base
Source0: tzdata-base-0.tar.bz2
Source1: ftp://elsie.nci.nih.gov/pub/tzdata%{tzdata_version}.tar.gz
Source2: ftp://elsie.nci.nih.gov/pub/tzcode%{tzcode_version}.tar.gz
Patch0: tzdata-2006m-brazil.patch
Patch1: tzdata-2006m-wa.patch
BuildRequires: gawk, glibc, glibc-common, perl
Conflicts: glibc-common < 2.2.4-32.25
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-root

%description
This package contains data files with rules for various timezones around
the world.

%prep
%setup -n tzdata
mkdir tzdata%{tzdata_version}
tar xzf %{SOURCE1} -C tzdata%{tzdata_version}
mkdir tzcode%{tzcode_version}
tar xzf %{SOURCE2} -C tzcode%{tzcode_version}
sed -e 's|@objpfx@|'`pwd`'/obj/|' \
    -e 's|@datadir@|%{_datadir}|' \
    -e 's|@install_root@|%{buildroot}|' \
  Makeconfig.in > Makeconfig
%patch0 -p1
%patch1 -p1

%build
make
grep -v tz-art.htm tzcode%{tzcode_version}/tz-link.htm > tzcode%{tzcode_version}/tz-link.html

%install
make install

#%check
echo ====================TESTING=========================
make check
echo ====================TESTING END=====================

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/zoneinfo
%doc tzcode%{tzcode_version}/README
%doc tzcode%{tzcode_version}/Theory
%doc tzcode%{tzcode_version}/tz-link.html

%changelog
* Wed Nov 22 2006 Petr Machata <pmachata@redhat.com> - 2006m-3.el2_1
- Patch for Western Australia DST trial (bz 216692)

* Tue Oct 10 2006 Petr Machata <pmachata@redhat.com> - 2006m-2.el2_1
- Proposed upstream patch (#210059)
  - Jordan will switch to winter time on October 27, not September 29
  - Brazil's DST this year is the first Sunday in November to the last
    Sunday in February.  (Thanks to Frederico A. C. Neves.)
  - ISO 3166 codes for Serbia and Montenegro, zone Europe/Podgorica
  - Commentary and past timestamps changes
- Upstream 2006m:
  - Adjustments for Egypt, Palestine, Uruguay
  - Better description of `until' field in zic (8) manpage
- Upstream 2006k, 2006l:
  - Adjustments for Egypt, Palestine, Cuba, Honduras
  - Documentation changes

* Tue Aug 22 2006 Petr Machata <pmachata@redhat.com> - 2006j-1.el2_1
- Upstream 2006j
  - Honduras stopped observing DST on Monday at 00:00
  - America/Bermuda will follow the US's lead next year
  - America/Moncton will use US-style rules next year
  - New Zone America/Blanc-Sablon, for Canadians who observe AST all
    year
  - New zone: America/Atikokan instead of America/Coral_Harbour
  - New zones: Europe/Jersey, Europe/Guernsey, Europe/Isle_of_Man
  - Historical changes
  - Commentary updates
- Upstream 2006i
  - localtime.c fixes
- Upstream 2006h
  - zic leapsecond fix

* Tue Jul 25 2006 Petr Machata <pmachata@redhat.com> - 2006g-1.EL2_1
- Upstream 2006g (#199926); updates:
  - America: Edmonton, Guatemala, Indiana/Vincennes, Thule
  - Canada, Haiti, Honduras, Iran, Nicaragua, Sri Lanka, Tunisia

* Mon Apr 04 2006 Petr Machata <pmachata@redhat.com> - 2006a-2.EL2_1.3
- Fix conflicts.

* Mon Apr 04 2006 Petr Machata <pmachata@redhat.com> - 2006a-2.EL2_1.2
- bump up release for test rebuild

* Mon Apr 03 2006 Petr Machata <pmachata@redhat.com> - 2006a-2.EL2_1.1
- bump up release for test rebuild

* Fri Mar 31 2006 Petr Machata <pmachata@redhat.com> - 2006a-2.EL2_1
- initial package (2006a, with Sri Lanka changes)
